/* MAIN CSS OVERRIDE STYLES
-------------------------------------------------- */

body.body-background {
    background-color: #100c0b;
    background-image: url("/img/web/main-bg2.jpg");
    background-repeat: no-repeat !important;
    background-attachment: fixed !important;
    background-position: center top !important;
    -webkit-background-size: cover !important;
    -moz-background-size: cover !important;
    -o-background-size: cover !important;
    background-size: cover !important;
}

.navbar {
    background-color: transparent !important;
}

.navbar .navbar-nav > .active > a,
.navbar .navbar-nav > .active > a:hover,
.navbar .navbar-nav > .active > a:focus {
    background-color: #BD281D !important;
}

.navbar .navbar-nav > .open > a,
.navbar .navbar-nav > .open > a:hover,
.navbar .navbar-nav > .open > a:focus {
    background-color: #BD281D !important;
}

.navbar .navbar-nav > li > a.active,
.navbar .navbar-nav > li > a:hover {
    background-color: #BD281D !important;
}

.navbar-expand-xl .navbar-collapse {
    background-color: #0b2d37 !important;
    border-radius: 5px;
}

footer.bg-primary {
    background-color: transparent !important;
}

footer .row {
    background-color: rgb(1, 1, 1, 0.7) !important;
    border-radius: 5px;
}

.navbar-brand #header_logo {
    background-image: url(/img/web/logo.png);
    background-color: rgb(1, 1, 1, 0.3);
    border-radius: 5px;
    margin: 0px 15px 0px 0px;
    padding: 0px;
    width: 188px;
    height: 49px;
    display: block;
}

.btn-primary, .btn-success {
    background-color: #BD281D;
    border-color: #BD281D;
}

.btn-primary:hover, .btn-success:hover {
    background-color: #0F3964;
    border-color: #0F3964;
}

.border-primary {
    border: 3px solid #BD281D !important;
    border-radius: 5px;
}

/* GENERAL
-------------------------------------------------- */

html, body {
    font-family: Arial,Helvetica,sans-serif !important;
    color: #6e6e6e !important;
}

.main-content-row {
    background: #f5f5f5 !important;
    border-radius: 5px;
    padding-top: 10px;
}

pre {
    border: 1px solid #ccc;
    border-radius: 4px;
    padding: 5px;
}

pre span.code-blue {
    color: #0000FF;
}

pre span.code-red {
    color: #B22222;
}

pre span.code-green {
    color: #008000;
}

pre span.code-gray {
    color: #666666;
}

table {
    border: 1px solid #212529;
    margin-bottom: 1rem;
}

th, td {
    padding: 3px;
    border: 1px solid #212529;
}

table.noborder {
    border: 0 !important;
}

table.noborder tr, table.noborder td {
    border: 0 !important;
}

/* HEADINGS
-------------------------------------------------- */

.main-content h1, 
.main-content h2, 
.main-content h3, 
.main-content h4, 
.main-content h5, 
.main-content h6 {
    color: #0F3964;
    font-weight: bold;
}

.h1-home {
    font-size: 2rem;
}

aside h2, .bottom-blocks h2 {
    background: #BD281D !important;
    border-radius: 5px;
    font-size: 1.1em;
    color: #fff;
    padding: 5px;
    margin-top: 0px;
}

aside h3 {
    color: #0F3964;
    font-weight: bold;
    font-size: 1em;
    padding-top: 5px;
}

/* BLOCKS
-------------------------------------------------- */

.block {
    margin-bottom: 10px;
}

.news-list, .podcast {
    list-style-type: none;
    padding-left: 0px;
}

.news-list li {
    font-size: 0.85rem;
    margin-bottom: 10px;
}

.podcast li.item-title {
    margin-bottom: 0px;
}

.podcast li.item-date {
    font-size: 0.75rem;
    margin-bottom: 10px;
}

.podcast li:last-child {
    margin-bottom: 0px;
}

/* FONT AWESOME ICONS
-------------------------------------------------- */

ul.social-icons {
    list-style-type: none;
    margin-left: 5px;
    margin-bottom: 0px;
    padding-left: 0px;
    padding-bottom: 0px;
}

ul.social-icons li {
    display: inline;
}

.main-content .fas, .main-content  .fab,
ul.social-icons li .fas, ul.social-icons li .fab {
    width: 20px;
    height: 20px;
    line-height: 20px;
    text-align: center;
    font-size: 12px;
    color: #ffffff;
    border-radius: 5px; 
    background: #0F3964;
    -webkit-transition: all .4s ease;
    -moz-transition: all .4s ease;
    -ms-transition: all .4s ease;
    -o-transition: all .4s ease;
    transition: all .4s ease;
}

.main-content .fas:hover, .main-content .fab:hover,
ul.social-icons .fas:hover, ul.social-icons .fab:hover {
    text-decoration: none;
    border-radius: 50%;
}

.main-content ul.social-icons {
    margin-bottom: 10px;
}

/* IMAGES
-------------------------------------------------- */

.img-right {
    float: right;
    padding-left: 5px;
}

.img-left {
    float: left;
    padding-right: 5px;
}

/* JQUERY FADE-IN, FADE-OUT EXAMPLE
-------------------------------------------------- */

.quote-container {
    display: none;
}

div.quote-container {
    width: 80%;
    margin: 20px auto;
}

h2.quote-text {
    text-align: left;
    font-style: italic;
    color: #BD281D;
}

h2.quote-text:before,
h2.quote-text:after {
    content: '"';
}

p.quote-author {
    text-align: right;
}

@media (min-width: 992px) {
    h2.quote-text {
    font-size: 300%;
    }
}

/* JQUERY DRAW EXAMPLE
-------------------------------------------------- */

.draw-main #canvas_wrapper {
    display: block;
    width: 80%;
    margin: 10px auto 10px;
    padding: 0 10%;
    height: 400px;
}

.draw-main #canvas_wrapper canvas {
    background: #fff;
    display: block;
    margin: 0px;
    border: 5px solid #000;
    border-radius: 5px;
    cursor: url(/img/web/cursor.png), crosshair;
}

.draw-main .controls {
    min-height: 60px;
    margin: 0 auto;
    width: 96%;
    border-radius: 5px;
    overflow: hidden;
    text-align: center;
}

.draw-main ul {
    list-style: none;
    margin: 0 auto 5px;
    padding: 10px 0 00px;
    width: 250px;
    text-align: center;
    border-radius: 10px;
    background-color: #dde;
}

.draw-main ul li,
#newColor {
    display: block;
    height: 54px;
    width: 54px;
    border-radius: 60px;
    cursor: pointer;
    border: 0;
    box-shadow: 0 3px 0 0 #222;
}

.draw-main ul li {
    display: inline-block;
    margin: 0 5px 10px;
}

.draw-main .red {
    background: #fc4c4f;
}

.draw-main .blue {
    background: #4fa3fc;
}

.draw-main .yellow {
    background: #ecd13f;
}

.draw-main .selected {
    border: 7px solid #fff;
}

.draw-main #lineWidthSelect {
    border: 3px solid #dde;
    border-radius: 5px;
    margin: 20px auto 10px;
    padding: 10px;
    width: 245px;
    position: relative;
}

/* New Color Palette */
.draw-main #colorSelect {
    border: 3px solid #dde;
    border-radius: 5px;
    margin: 20px auto 0;
    padding: 10px;
    width: 245px;
    position: relative;
    display: none;
}

.draw-main #newColor {
    width: 80px;
    height: 80px;
    border-radius: 3px;
    box-shadow: none;
    border: none;
    margin: 10px auto 20px auto;
}

.draw-main .sliders {
    text-align: center;
    margin-bottom: 5px;
}

.draw-main .sliders p {
    margin: 8px 0;
    vertical-align: middle;
}

.draw-main .sliders label {
    display: inline-block;
    margin: 0 10px 0 0;
    width: 35px;
    font-size: 14px;
    color: #6d574e;
    text-align: left;
}

.draw-main .sliders label.lineWidthLabel {
    display: inline-block;
    margin: 0 10px 0 0;
    width: 100px;
    font-size: 14px;
    color: #6d574e;
    text-align: left;
}

.draw-main .sliders input {
    position: relative;
    top: 2px;
    text-align: right;
}

.draw-main .sliders input[type='range'] {
    width: 225px;
}

/* JQUERY PHOTO SEARCH EXAMPLE
-------------------------------------------------- */

.photosearch-main #photos {
    list-style: none;
}

.photosearch-main a img {
    border: none;
}

.photosearch-main #photos li {
    margin: 15px 0 0;
    font-size: 1.6em;
    color: #8d9aa5;
    position: relative;
    display: inline-block;
    width: 100%;
}

.photosearch-main #photos {
    margin-left: 0;
    padding-left: 0;
}

.photosearch-main #photos ul li.nophotos {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 1em;
    color: #1d1b1d;
}

.photosearch-main #photos li {
    margin: 30px 0 0;
    vertical-align: middle;
}

.photosearch-main #photos li:before {
    display: none;
}

.photosearch-main #photos .image {
    display: block;
    min-height: 240px;
    background: #edeff0;
    text-align: center;
    height: 260px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
    border-radius: 5px;
    -webkit-transition: 0.3s;
    -moz-transition: 0.3s;
    -o-transition: 0.3s;
    transition: 0.3s;
}

.photosearch-main #photos .image:hover {
    background: #dfe3e4;
}

.photosearch-main #photos .image:before {
    content: '';
    display: inline-block;
    height: 100%;
    vertical-align: middle;
}

.photosearch-main #photos img {
    max-width: 80%;
    max-height: 200px;
    vertical-align: middle;
    -webkit-box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.2);
    -moz-box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.2);
    box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.2);
}

.photosearch-main .response {
    padding: 30px;
    background: #fbfbfc;
    border: 1px solid #e2e5e8;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
    border-radius: 5px;
}

.photosearch-main .response p {
    margin: 0;
}

@media screen and (min-width: 768px) {
    .photosearch-main #photos li {
        width: 50%;
    }
}

@media screen and (min-width: 1024px) {
    .photosearch-main #photos li {
        width: 25%;
    }
}

/* TO-DO LIST EXAMPLE
-------------------------------------------------- */

.todolist-main ul {
    font-size: 2em;
}

.todolist-main ul {
    margin: 0;
    padding: 0;
}

.todolist-main li * {
    float: left;
}


.todolist-main li {
    clear: both;
    list-style: none;
}

.todolist-main .btn-success .fas {
    margin-right: 3px;
    margin-top: 3px;
}

/* Heading */
.todolist-main h3,
.todolist-main label[for='new-task'] {
    color: #333;
    font-weight: 700;
    font-size: 15px;
    border-bottom: 2px solid #333;
    padding: 30px 0 10px;
    margin: 0;
    text-transform: uppercase;
}

.todolist-main input[type='text'] {
    margin: 0;
    font-size: 18px;
    line-height: 18px;
    height: 24px;
    padding: 2px;
    border: 1px solid #ddd;
    background: #fff;
    border-radius: 6px;
    font-family: Lato, sans-serif;
    color: #212529;
}

.todolist-main input[type='text']:focus {
    color: #333;
}

/* New Task */
.todolist-main label[for='new-task'] {
    display: block;
    margin: 0 0 20px;
}

.todolist-main input#new-task {
    float: left;
    width: 259px;
}

/* Task list */
.todolist-main li {
    overflow: hidden;
    padding: 20px 0;
    border-bottom: 1px solid #eee;
}

.todolist-main li > input[type='checkbox'] {
    margin: 0 10px;
    position: relative;
    top: 15px;
}

.todolist-main li > label {
    font-size: 18px;
    line-height: 40px;
    width: 237px;
    padding: 0 0 0 11px;
}

.todolist-main li > input[type='text'] {
    width: 226px;
}

/* Completed */
.todolist-main #completed-tasks label {
    text-decoration: line-through;
    color: #212529;
}

/* Edit Task */
.todolist-main ul li input[type='text'] {
    display: none;
}

.todolist-main ul li.editMode input[type='text'] {
    display: block;
}

.todolist-main ul li.editMode label {
    display: none;
}

/* BUDGET CALCULATOR EXAMPLE
-------------------------------------------------- */

.budget-main .clearfix::after {
    content: "";
    display: table;
    clear: both;
}

.budget-main .right { float: right; }
.budget-main .expense-focus:focus { border: 1px solid #BD281D !important; }

.budget-main .btn-income {
    background-color: #0F3964;
    border-color: #0F3964;
    color: #fff;
}

.budget-main .btn-income:hover {
    background-color: #0F3964;
    border-color: #0F3964;
    color: #fff;
}

.budget-main .btn-expense {
    background-color: #BD281D;
    border-color: #BD281D;
    color: #fff;
}

.budget-main .btn-expense:hover {
    background-color: #BD281D;
    border-color: #BD281D;
    color: #fff;
}

.budget-main .budget-title {
    text-align: center;
    font-weight: bold;
    font-size: 1.2rem;
}

.budget-main .budget-value {
    text-align: center;
    font-size: 1.2rem;
    margin: 10px 0 10px 0;
}

.budget-main .budget-income {
    background-color: #0F3964;
    border: 3px solid #0F3964;
}

.budget-main .budget-expenses {
    background-color: #BD281D;
    border: 3px solid #BD281D;
}

.budget-main .budget-income,
.budget-main .budget-expenses {
    color: #ffffff;
    max-width: 300px;
    margin: 0px auto 10px auto;
    padding-left: 3px;
    border-radius: 5px;
}

.budget-main .budget-income-text,
.budget-main .budget-expenses-text {
    float: left;
}

.budget-main .budget-income-value,
.budget-main .budget-expenses-value {
    letter-spacing: 1px;
    float: left;
}

.budget-main .budget-income-percentage,
.budget-main .budget-expenses-percentage {
    float: left;
    width: 34px;
    font-size: 11px;
    padding: 3px 0;
    margin-left: 10px;
}

.budget-main .budget-expenses-percentage {
    background-color: rgba(255, 255, 255, 0.2);
    text-align: center;
}

.budget-main .budget-additions {
    max-width: 600px;
    margin: 0 auto 0 auto;
    text-align: center;
}

.budget-main .income-container {
    border: 3px solid #0F3964;
    border-radius: 5px;
}

.budget-main .income-container .card-header {
    color: #0F3964;
    font-weight: bold;
}

.budget-main .expenses-container {
    border: 3px solid #BD281D;
    border-radius: 5px;
}

.budget-main .expenses-container .card-header {
    color: #BD281D;
    font-weight: bold;
}

.budget-main .item-description {
    float: left;
}

.budget-main .item-value {
    float: left;
    transition: transform 0.3s;
}

.budget-main .item-percentage {
    float: left;
    margin-left: 20px;
    transition: transform 0.3s;
    font-size: 11px;
    background-color: #FFDAD9;
    padding: 3px;
    border-radius: 3px;
    width: 32px;
    text-align: center;
}

.budget-main .item-delete {
    float: left;
}

.budget-main .btn-delete-item {
    padding: 1px;
    line-height: 1;
    margin-top: -3px;
    margin-left: 2px;      
    color: #fff;
}

.budget-main .income-list .btn-delete-item {
    background-color: #0F3964;
    border: 1px solid #0F3964;
    border-radius: 5px;
}

.budget-main .expenses-list .btn-delete-item {
    background-color: #BD281D;
    border: 1px solid #BD281D;
    border-radius: 5px;
}

/* TO-DO LIST EXAMPLE
-------------------------------------------------- */

.pig-main .card {
    text-align: center;
}

.pig-main .player-name {
    font-size: 125%;
    font-weight: 900;
    color: #BD281D;
}

.pig-main .active .player-name::before {
    font-family: "Font Awesome 5 Free";
    content: "\f0a4";
    margin-right: 5px;
}

.pig-main .player-score {
    font-size: 125%;
}

.pig-main .dice-container {
    height: 100px;
    width: 100px;
    margin: 0 auto 20px auto;
}

.pig-main .button-container {
    margin-top: 0;
    margin-bottom: 10px;
}

.pig-main button {
    width: 130px;
}